;
; CANON INC. Scanner driver
;
; Windows Scanner driver Common Setup File
;               
; Copyright (c) CANON INC. 2016

[Version]
SIGNATURE="$Windows NT$"
CLASS=dummy
DriverVer=04/25/2017,20.0.36.8

[DestinationDirs]
DefaultDestDir=11
CNCDsFiles=10,"twain_32\%SGNAME%"
CNCDsFiles_64=10,"twain_32\%SGNAME%"
CNCMediaFiles=10,media

;........................................ WinXP, Vista, Win7 section
[CNCInstall_XP.NT]
AddReg=CNCAddregUSB
CopyFiles=CNCDsFiles,CNCMediaFiles

;........................................ WinXP x64, Vista x64, Win7 x64 section
[CNCInstall_XP64.NT]
AddReg=CNCAddregUSB
CopyFiles=CNCDsFiles,CNCDsFiles_64,CNCMediaFiles

;........................................ WinXP, Vista, Win7 section (Network)
[CNCInstallNet_XP.NT]
AddReg=CNCAddregUSB
CopyFiles=CNCDsFiles,CNCMediaFiles

;........................................ WinXP x64, Vista x64, Win7 x64 section (Network)
[CNCInstallNet_XP64.NT]
AddReg=CNCAddregUSB
CopyFiles=CNCDsFiles,CNCDsFiles_64,CNCMediaFiles


;.......................................... Common Section
[CNCAddregUSB]
HKLM,"Software\Canon\ScanGear\%SGNAME%","Manufacturer",0x00004000,"Canon Inc."
HKLM,"Software\Canon\ScanGear\%SGNAME%","ProductFamily",0x00004000,"TWAIN Scanners"
HKLM,"Software\Canon\ScanGear\%SGNAME%","DriverDate",0x00004000," 10 2016"
HKLM,"Software\Canon\ScanGear\%SGNAME%","DriverVersion",0x00004000,"20.0.36.8"
HKLM,"Software\Canon\ScanGear\%SGNAME%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%SGNAME%\"

[CNCDsFiles]
AG.dll
CAPS.dll
CUBS.dll
DDT.dll
HSL.DLL
IJFSHLIB.dll
MC3.dll
RACS2LIB.dll
rstcol.dll
SCNDB.dll
SCNFLW.dll
SCNIF.dll
SCNUI.dll
SCRPRMV.DLL
scrprmvl.dll
SGCFLTR.dll
SCFLTR0.dll
softfare.dll
TDGLIB.dll
TPM.dll
usip.dll
cnmpu2.dll
cnwidsd.dll
scchmpm.dll
CNCLID34.dll
cnwidcn.exe
cnwidcn.ini

SG_IMG.dll
SG_JPN.dll
SG_ENU.dll
SG_ESP.dll
SG_ARA.dll
SG_CHS.dll
SG_CHT.dll
SG_CSY.dll
SG_DAN.dll
SG_DEU.dll
SG_ELL.dll
SG_FIN.dll
SG_FRA.dll
SG_HRV.dll
SG_HUN.dll
SG_IND.dll
SG_ITA.dll
SG_KOR.dll
SG_NLD.dll
SG_NOR.dll
SG_PLK.dll
SG_PTB.dll
SG_RUS.dll
SG_SVE.dll
SG_THA.dll
SG_TRK.dll
SG_BGR.dll
SG_ETI.dll
SG_LVI.dll
SG_LTH.dll
SG_SKY.dll
SG_SLV.dll
SG_ROM.dll
SG_UKR.dll
SG_VIT.dll

SETUP01.ini

twsetup3.dll

[CNCDsFiles_64]
SGCFLTR6.dll
SCFLTR06.dll
twsetup6.dll

[CNCMediaFiles]
cssamp1.mid

;-------------------------------Source Index
[SourceDisksFiles]
twsetup3.dll=1
twsetup6.dll=1
SETUP01.ini=1

AG.dll=2
CAPS.dll=2
CUBS.dll=2
DDT.dll=2
HSL.DLL=2
IJFSHLIB.dll=2
MC3.dll=2
RACS2LIB.dll=2
rstcol.dll=2
SCNDB.dll=2
SCNFLW.dll=2
SCNIF.dll=2
SCNUI.dll=2
SCRPRMV.DLL=2
scrprmvl.dll=2
SGCFLTR.dll=2
SGCFLTR6.dll=2
SCFLTR0.dll=2
SCFLTR06.dll=2
softfare.dll=2
TDGLIB.dll=2
TPM.dll=2
usip.dll=2
cnmpu2.dll=2
cnwidsd.dll=2
scchmpm.dll=2
CNCLID34.dll=2
cnwidcn.exe=2
cnwidcn.ini=2

SG_IMG.dll=2
SG_JPN.dll=2
SG_ENU.dll=2
SG_ESP.dll=2
SG_ARA.dll=2
SG_CHS.dll=2
SG_CHT.dll=2
SG_CSY.dll=2
SG_DAN.dll=2
SG_DEU.dll=2
SG_ELL.dll=2
SG_FIN.dll=2
SG_FRA.dll=2
SG_HRV.dll=2
SG_HUN.dll=2
SG_IND.dll=2
SG_ITA.dll=2
SG_KOR.dll=2
SG_NLD.dll=2
SG_NOR.dll=2
SG_PLK.dll=2
SG_PTB.dll=2
SG_RUS.dll=2
SG_SVE.dll=2
SG_THA.dll=2
SG_TRK.dll=2
SG_BGR.dll=2
SG_ETI.dll=2
SG_LVI.dll=2
SG_LTH.dll=2
SG_SKY.dll=2
SG_SLV.dll=2
SG_ROM.dll=2
SG_UKR.dll=2
SG_VIT.dll=2

cssamp1.mid=2


[SourceDisksNames]
1="Canon ScanGear Setup Disk",,
2="Canon ScanGear Setup Disk","TWAIN01.CAB"


;-------------------------------String Aliases
[Strings]
SGNAME="SG20"



